import { Meta, Story, Props, Preview } from '@storybook/addon-docs/blocks'
import { PropsTable } from '@storybook/components'
import { WithSidebar } from './withSidebar'
import { Sidebar, Status } from 'ui/modules/Sidebar'
import { Box } from 'rebass'
import { MainHeader } from 'ui/modules/MainHeader'
import { Input } from '@rebass/forms'

<Meta title="Templates|WithSidebar" component={WithSidebar} />

# WithSidebar

Let's define a story for the `WithSidebar` module

<Preview>
  <Story name="WithSidebar">
    <WithSidebar 
      SearchBox={<h1>test</h1>}
      HeaderBox={<MainHeader {...getMainHeaderProps()} />}
      SidebarBox={<Sidebar {...useGetSidebarProps()} />}
      userImage={"string"}
      homeLink={"/"}
      userLink={"/"}
      username={"test"}
      name={"test"}
      signout={() => console.log("test")}
    />
      <Box bg="#fff" width={"600px"}></Box>
    </WithSidebar>
  </Story>
</Preview>
